// -*-C++-*-
//
// File:      Register.h
// Author:    jbakker
// Generated: Mon Apr 10 14:33:24 MET DST 2000

#ifndef Register_h
#define Register_h

#include "Task.h"

namespace Info
{

  /*
    Base class of all registers. Defines what needs to be done
    before/after a call to a particular task.
   */
  class Register
  {
  public:
    virtual ~Register(){}
    
    virtual void start()=0;
    virtual void stop()=0;
    
  protected:
    Register(Task* t) : _task(t){}

    // member data
    Task* _task;

  private:
    // member functions
    Register();
    Register(const Register&);            // copy constructor (disabled)
    Register& operator=(const Register&); // assignment (disabled)    
  };
  
};

#endif
