// -*-C++-*-
//
// File:      testTaskPrivate.h
// Author:    Jorgo Bakker (jbakker@astro.estec.esa.nl)
// Generated: Tue Nov 19 16:01:46 CET 2002
// Usage:     -
// Info:      -

#ifndef testTaskPrivate_h
#define testTaskPrivate_h


#include "Task.h"

/**
   
 */
void testTaskPrivate(const char* nm)
{
  errstr << "testTaskPrivate("
	 << nm << ") START"
	 << Sas::message(Msg::Lib,Msg::Always);

  if (!gParameters) {
    errstr << "No gParameters while visiting task("
	   << nm << ")"
	   << Sas::error("corruptedInvocation");
    
  }

  Info::Task* t= Info::Task::current();
  if (!t) {
    errstr << "Info::Task::current() while visiting task("
	   << nm << ")"
	   << Sas::error("corruptedInvocation");
  }
  
  if (std::string(nm) != t->name()) {
    errstr << "Info::Task::current("
	   << t->name() << ") != (" << nm<< ")"
	   << Sas::error("corruptedInvocation");
  }

  if (gParameters != t->parameters()) {
    errstr << "gParameters->taskName()=" << gParameters->taskName()
	   << " != t->parameters()->taskName()=" << t->parameters()->taskName()
	   << Sas::error("corruptedInvocation");
  }

  errstr << "testTaskPrivate("
	 << nm << ") END"
	 << Sas::message(Msg::Lib,Msg::Always);
}
#endif
